Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class MarkerShorthandManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.svg.MarkerShorthandManager

All Implemented Interfaces:
  ShorthandManager

public class MarkerShorthandManager
extends AbstractValueFactory
implements ShorthandManager

This class represents an object which provide support for the 'marker' shorthand properties.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.engine.value.ShorthandManager
`ShorthandManager.PropertyHandler`

Constructor Summary
`MarkerShorthandManager()`

Method Summary
`java.lang.String` | `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`void` | `setValues(CSSEngine eng, ShorthandManager.PropertyHandler ph, LexicalUnit lu, boolean imp)` Implements `ShorthandManager.setValues(CSSEngine,ShorthandManager.PropertyHandler,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerShorthandManager

    public MarkerShorthandManager()

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ShorthandManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### setValues

    public void setValues(CSSEngine eng,
                          ShorthandManager.PropertyHandler ph,
                          LexicalUnit lu,
                          boolean imp)
                   throws org.w3c.dom.DOMException

  Implements `ShorthandManager.setValues(CSSEngine,ShorthandManager.PropertyHandler,LexicalUnit,boolean)`.

  Specified by:
    `setValues` in interface `ShorthandManager`
  Parameters:
    `eng` - The current CSSEngine.
    `ph` - The property handler to use.
    `lu` - The SAC lexical unit used to create the value.
    `imp` - The property priority.
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.